<?php

if ( ! function_exists( 'oaza_mikado_map_post_link_meta' ) ) {
	function oaza_mikado_map_post_link_meta() {
		$link_post_format_meta_box = oaza_mikado_create_meta_box(
			array(
				'scope' => array( 'post' ),
				'title' => esc_html__( 'Link Post Format', 'oaza' ),
				'name'  => 'post_format_link_meta'
			)
		);
		
		oaza_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_post_link_link_meta',
				'type'        => 'text',
				'label'       => esc_html__( 'Link', 'oaza' ),
				'description' => esc_html__( 'Enter link', 'oaza' ),
				'parent'      => $link_post_format_meta_box
			)
		);
	}
	
	add_action( 'oaza_mikado_action_meta_boxes_map', 'oaza_mikado_map_post_link_meta', 24 );
}